
def is_pytag(a,b,c):
    return a**2 + b**2 == c**2


# Option 1
def pytag_trippel__bruteforce(sum_abc):
    for a in range(1, sum_abc):
        for b in range(a + 1, sum_abc):
            c = sum_abc - a - b
            if (0 < a < b < c) and is_pytag(a, b, c):
                return a * b * c              
    return -1


# Option 2
def pytag_trippel__calculated_limits(sum_abc):
    for a in range(1, sum_abc // 3):
        for b in range(a + 1, (sum_abc - a + 1) // 2):
            c = sum_abc - a - b
            if is_pytag(a, b, c):
                return a * b * c              
    return -1

# Use option 2 to appease the test
def pytag_trippel(sum_abc):
    return  pytag_trippel__calculated_limits(sum_abc)
